%define fw_version 5.43

Summary:	KDE Frameworks 5 Qt wrapper for NetworkManager API
Name:		networkmanager-qt
Version:	5.43.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
Url:		https://www.kde.org/
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnm-glib)
BuildRequires:	pkgconfig(libnm-util)
BuildRequires:	pkgconfig(NetworkManager)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)

%description
KDE Frameworks 5 Qt wrapper for NetworkManager API.

#--------------------------------------------------------------------

%define kf5nmqt_major 6
%define libkf5nmqt %mklibname kf5nmqt %{kf5nmqt_major}

%package -n %{libkf5nmqt}
Summary:	KDE Frameworks 5 NetworkManager API Qt wrapper shared library
Group:		System/Libraries

%description -n %{libkf5nmqt}
KDE Frameworks 5 NetworkManager API Qt wrapper shared library.

%files -n %{libkf5nmqt}
%{_kde5_libdir}/libKF5NetworkManagerQt.so.%{kf5nmqt_major}
%{_kde5_libdir}/libKF5NetworkManagerQt.so.%{version}

#--------------------------------------------------------------------

%define devkf5nmqt %mklibname kf5nmqt -d

%package -n %{devkf5nmqt}
Summary:	Development files for KDE Frameworks 5 NetworkManager API Qt wrapper
Group:		Development/KDE and Qt
Requires:	%{libkf5nmqt} = %{EVRD}
Requires:	pkgconfig(libnm)
Requires:	pkgconfig(libnm-glib)
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5networkmanagerqt-devel = %{version}

%description -n %{devkf5nmqt}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5nmqt}
%{_kde5_includedir}/KF5/NetworkManagerQt
%{_kde5_includedir}/KF5/networkmanagerqt_version.h
%{_kde5_libdir}/cmake/KF5NetworkManagerQt
%{_kde5_libdir}/libKF5NetworkManagerQt.so
%{_kde5_mkspecsdir}/*.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Tue Feb 13 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.43.0-1
- (676af0e) New version 5.43.0

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (ffaa732) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (482c6de) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (331bb1f) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (d592b85) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (a3a2ac2) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (efa89b6) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (5372e4a) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (7fbf65c) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (64774d4) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (acc8c37) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (ea3a45e) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (4d54455) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (1c4ce2d) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (aa188b2) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (0effd41) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (cdd2694) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (44ff191) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (5893de6) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (358595c) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (8f59b1c) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (0d6c40d) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (8dbb71b) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-2
- (8bc329d) Development package requires pkgconfig(libnm)

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (bf24411) Build requires pkgconfig(libnm)
- (Andrey Bondrov: f76985d) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (57986e2) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (a89d73c) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (70433d4) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (6d224c9) New version 5.9.0


